configure: Throw error if OS is found to be msys
ClosedPublic

Authored by bgamari on Mar 24 2018, 11:41 AM.

Details

Summary

This configuration is current unsupported.

Test Plan

Try running configure on Windows with msys and mingw toolchains

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bgamari created this revision.Mar 24 2018, 11:41 AM
Phyx added inline comments.Mar 24 2018, 12:04 PM
aclocal.m4
1977

I would rephrase this as Building GHC using msys toolchain is not.... Because in all circumstances you are using msys, it's just you target different toolchains.

bgamari updated this revision to Diff 15830.Mar 25 2018, 10:46 AM

Address Phyx's comment

Phyx accepted this revision.Mar 26 2018, 3:38 AM

LGTM, thanks @bgamari

This revision is now accepted and ready to land.Mar 26 2018, 3:38 AM
This revision was automatically updated to reflect the committed changes.